#11146 closed defect (fixed)

[PEGASUS] Pegasus Prime did not run with the daily build

Reported by: goodoldgeorge Owned by: digitall
Priority: normal Component: Engine: GLK
Keywords: Cc:
Game: GLK Z-Code (Frotz) Game

Description

The Journeyman Project: Pegasus Prime did not run with the daily build of ScummVM
I tested with the Macintosh full game version and Windows and Macintosh Demo versions.

The pegasus engine pegasus gameID conflicts with the GLK/Frotz engine pegasus gameID, so ScummVM wants to run the ScummGLK engine.

I Tested with the 'Old' 2.1.0git (Mar 20 2018) version and all three versions were started.

Logfile

... 
[2019-09-14 15:42:26] --- Log opened.
[2019-09-14 15:42:27] Using configuration file: .\Emulators\inis\scummvm.ini
...
[2019-09-14 15:42:29] WARNING: ScummGlk failed to instantiate engine: Game data not found (target 'pegasus-mac', path '.\games\pegasus-mac\')!
[2019-09-14 15:42:31] Replaced the duplicated plugin: 'ScummGlk'
[2019-09-14 15:42:35] --- Log closed successfully.

Op.Sys.: Windows 10 Pro 64bit, version 1903 build: 18362.356
ScummVM version: ScummVM 2.1.0git8274-g8555657207-dirty (Sep 14 2019 07:45:00)
TAINTED Vorbis FLAC MP3 RGB zLib MPEG2 FluidSynth Theora AAC A/52 FreeType2 JPEG PNG cloud (servers, local)

Change History (5)

comment:1 by goodoldgeorge, 10 months ago

Component: Engine: PegasusEngine: GLK
Game: GLK Z-Code (Frotz) Game

Conflicted IDs in the source:

PEGASUS Engine: detection.cpp
line 73: {"pegasus", "The Journeyman Project: Pegasus Prime"},
line 83-119: "pegasus",.. Macintosh Game and 3 Demo versions detection lines

GLK-FROTZ: detection_tables.h
line 522 : { "pegasus", "Pegasus" },
line 1560: ENTRY0("pegasus", "130708", "f65a086805d473b3ccbfb9971383ef65", 417200),

comment:2 by digitall, 10 months ago

In 497b8b4d:

GLK: FROTZ: Change GameID to avoid Conflict with Pegasus Prime Engine

The game id "pegasus" was already used for the Journeyman Project Pegasus
Prime engine, so this caused a detection conflict.

Fixes bug #11146.

comment:3 by digitall, 10 months ago

Owner: set to digitall
Resolution: fixed
Status: newpending

This should be fixed. @goodoldgeorge: Please test the next nightly build and confirm.

comment:4 by goodoldgeorge, 10 months ago

Tested with this build: ScummVM 2.1.0git8310-g497b8b4df5-dirty (Sep 15 2019 11:04:59)

Both the Macintosh game and the two Demo versions started without problems.

Thank you so Much for the fix :)

comment:5 by digitall, 10 months ago

Status: pendingclosed

No problem. Thanks for testing and confirming the fix.

Note: See TracTickets for help on using tickets.